<?php
    include_once('inc/api_cred.php');
	$mensajeUsuario = "";
	$usuario = "";
	$contrasena = "";	
	
	if($_POST){
		
	    $usuario = trim(strip_tags(htmlspecialchars($_POST["txtUsuario"])));
		$contrasena = trim(strip_tags(htmlspecialchars($_POST["txtContrasena"])));
		
		if(empty($usuario)){
			$mensajeUsuario = "Debe Ingresar Nombre de Usuario";
		}
		else if(empty($contrasena)){
			$mensajeUsuario = "Debe Ingresar Contrase&ntilda;a de Usuario";
		}else{
			$ch = curl_init($apiUrl . '/public/iniciarsesion');  
			$payload = json_encode(array('usuario' => $usuario, 'contrasena' => $contrasena));
			curl_setopt($ch, CURLOPT_POSTFIELDS, $payload); 
			curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));  
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);  
			$result = curl_exec($ch);  
			$array = json_decode($result);
			
			if($array[0] > 0){
				session_start();
				
				$ch2 = curl_init($apiUrl . '/public/obtenersesion');  
				$payload2 = json_encode(array('usuario' => $usuario));
				curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2); 
				curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));  
				curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true);  
				$result2 = curl_exec($ch2);  
				$array2 = json_decode($result2);
 
				$_SESSION['LOGIN']['IDPANTALLA'] = $array2[0]->id_pantalla;					
				$_SESSION['LOGIN']['CODIGO'] = $array2[0]->id;
				$_SESSION['LOGIN']['RUT'] = $array2[0]->rut;
 
				$_SESSION['LOGIN']['NOMBRE'] = strtoupper($array2[0]->nombre)." ".strtoupper($array2[0]->apellido);
				
                curl_close($ch2);
				/***************************************************/
				
				$ch3 = curl_init($apiUrl . '/public/obtenercargoasignado'); //create a new cURL resource
				$payload3 = json_encode(array('id_persona' => $_SESSION['LOGIN']['CODIGO']));
				curl_setopt($ch3, CURLOPT_POSTFIELDS, $payload3);//attach encoded JSON string to the POST fields
				curl_setopt($ch3, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
				curl_setopt($ch3, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
				$result3 = curl_exec($ch3); //execute the POST request
				$array3 = json_decode($result3);

				$_SESSION['LOGIN']['CARGOUSUARIO'] = $array3[0]->id;
				$_SESSION['LOGIN']['CARGONOMBRE']= $array3[0]->descripcion;			

				curl_close($ch3); 	
				
				/***********************************************************************/
				
				$ch4 = curl_init($apiUrl . '/public/obtenerdepartamentoasignado'); //create a new cURL resource
				$payload4 = json_encode(array('id_persona' => $_SESSION['LOGIN']['CODIGO']));
				curl_setopt($ch4, CURLOPT_POSTFIELDS, $payload4);//attach encoded JSON string to the POST fields
				curl_setopt($ch4, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
				curl_setopt($ch4, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
				$result4 = curl_exec($ch4); //execute the POST request
				$array4 = json_decode($result4);
 
				$codigodepto = array();
				$descripciondepto = array();				
				foreach ($array4[0] as $row) {
					array_push($codigodepto, $row->id);
					array_push($descripciondepto, $row->descripcion);			
				}
				$_SESSION['LOGIN']['DEPTONOMBRE'] = $descripciondepto;						
				$_SESSION['LOGIN']['DEPTOUSUARIO'] = $codigodepto;			 

				curl_close($ch4); 	
							
				/***************************************************/
				
				if($_SESSION['LOGIN']['IDPANTALLA'] == 1) { header("Location: usuario/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 2) { header("Location: informacionusuario/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 3) { header("Location: informacionusuarioinactivo/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 4) { header("Location: cargo/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 5) { header("Location: cargo_usuario/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 6) { header("Location: permiso_cargo/index.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 7) { header("Location: reloj/listado.php"); }				
				if($_SESSION['LOGIN']['IDPANTALLA'] == 8) { header("Location: marcaje/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 9) { header("Location: marcaje_reloj_control/"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 10) { header("Location: estadistica_sincronizacion/"); }	

				if($_SESSION['LOGIN']['IDPANTALLA'] == 11) { header("Location: consultar_marcaje/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 12) { header("Location: auditar_marcaje/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 13) { header("Location: tipo_marcaje/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 14) { header("Location: justificacion/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 15) { header("Location: justificacion_masiva/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 16) { header("Location: informejustificacion/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 17) { header("Location: importarfalta/index.php"); }				
				if($_SESSION['LOGIN']['IDPANTALLA'] == 18) { header("Location: informefalta/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 19) { header("Location: turno/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 20) { header("Location: turno_extra/listado.php"); }	

				if($_SESSION['LOGIN']['IDPANTALLA'] == 21) { header("Location: turno_extra_masivo/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 22) { header("Location: informeturno/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 23) { header("Location: pantallapermiso/"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 24) { header("Location: pantallapermiso/"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 25) { header("Location: pantallapermiso/"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 26) { header("Location: pantallapermiso/"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 27) { header("Location: pantallapermiso/"); }				
				if($_SESSION['LOGIN']['IDPANTALLA'] == 28) { header("Location: hora_extra/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 29) { header("Location: cuadrocontrolpermiso/index.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 30) { header("Location: permiso_pendiente/listado.php"); }	

				if($_SESSION['LOGIN']['IDPANTALLA'] == 31) { header("Location: permiso_informe/listado.php"); }

				if($_SESSION['LOGIN']['IDPANTALLA'] == 32) { header("Location: hora_extra_masiva/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 33) { header("Location: importarhoraextra/index.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 34) { header("Location: informehoraextra/index.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 35) { header("Location: empresa/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 36) { header("Location: sucursal/listado.php"); }				
				if($_SESSION['LOGIN']['IDPANTALLA'] == 37) { header("Location: departamento/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 38) { header("Location: nacionalidad/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 39) { header("Location: feriado/listado.php"); }		

				if($_SESSION['LOGIN']['IDPANTALLA'] == 40) { header("Location: tipo_permiso/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 41) { header("Location: informe_marcaje_trabajador/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 42) { header("Location: informe_marcaje_trabajador_sp/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 43) { header("Location: informe_marcaje_turno/listado.php"); }
				if($_SESSION['LOGIN']['IDPANTALLA'] == 44) { header("Location: informe_personalizado/listado.php"); }	
				if($_SESSION['LOGIN']['IDPANTALLA'] == 45) { header("Location: informe_inspeccion/"); }					
			}else{
				
				$mensajeUsuario .= "<div class='alert alert-danger' role='alert'>";
				$mensajeUsuario .= " <i class='fas fa-exclamation-triangle'></i> Credenciales ingresadas no son v&aacute;lidas";
				$mensajeUsuario .= "</div>";
			}
			
		}		
	}
?>